Package org.bukkit.potion

# Class PotionData

java.lang.Object
org.bukkit.potion.PotionData

public final class PotionData extends Object

## Constructor Summary

Constructors
Constructor
Description
`PotionData(@NotNull PotionType type)`
`PotionData(@NotNull PotionType type, boolean extended, boolean upgraded)`
Instantiates a final PotionData object to contain information about a Potion

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`@NotNull PotionType`
`getType()`
Gets the type of the potion, Type matches up with each kind of craftable potion
`int`
`hashCode()`
`boolean`
`isExtended()`
Checks if the potion is in an extended state.
`boolean`
`isUpgraded()`
Checks if the potion is in an upgraded state.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PotionData

public PotionData(@NotNull @NotNull PotionType type, boolean extended, boolean upgraded)
Instantiates a final PotionData object to contain information about a Potion

Parameters:
  `type` - the type of the Potion
  `extended` - whether the potion is extended PotionType#isExtendable() must be true
  `upgraded` - whether the potion is upgraded PotionType#isUpgradable() must be true

### PotionData

public PotionData(@NotNull @NotNull PotionType type)

## Method Details

### getType

@NotNull public @NotNull PotionType getType()
Gets the type of the potion, Type matches up with each kind of craftable potion

Returns:
  the potion type

### isUpgraded

public boolean isUpgraded()
Checks if the potion is in an upgraded state. This refers to whether or not the potion is Tier 2, such as Potion of Fire Resistance II.

Returns:
  true if the potion is upgraded;

### isExtended

public boolean isExtended()
Checks if the potion is in an extended state. This refers to the extended duration potions

Returns:
  true if the potion is extended

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`